## org.apache.lucene.benchmark.byTask.feeds
Class DirDocMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
          org.apache.lucene.benchmark.byTask.feeds.DirDocMaker

All Implemented Interfaces:
  DocMaker

    public class DirDocMaker

extends BasicDocMaker

A DocMaker using the Dir collection for its input. Config properties: docs.dir=<path to the docs dir| Default: dir-out>

Nested Class Summary
`static class` `DirDocMaker.Iterator`

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`BODY_FIELD, BYTES_FIELD, config, DATE_FIELD, forever, ID_FIELD, indexVal, NAME_FIELD, storeVal, termVecVal, TITLE_FIELD`

Constructor Summary
`DirDocMaker()`

Method Summary
`protected DateFormat` `getDateFormat()`
`protected DocData` `getNextDocData()` Return the data of the next document.
`int` `numUniqueTexts()` Return how many real unique texts are available, 0 if not applicable.
`void` `resetInputs()` Reset inputs so that the test run would behave, input wise, as if it just started.
`void` `setConfig(Config config)` Set the properties

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`addBytes, addUniqueBytes, collectFiles, getByteCount, getCount, getHtmlParser, makeDocument, makeDocument, numUniqueBytes, printDocStatistics, setHTMLParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirDocMaker

    public DirDocMaker()

Method Detail

### setConfig

    public void setConfig(Config config)

  Description copied from interface: `DocMaker`
  Set the properties

  Specified by:
    `setConfig` in interface `DocMaker`
  Overrides:
    `setConfig` in class `BasicDocMaker`

### getDateFormat

    protected DateFormat getDateFormat()

### getNextDocData

    protected DocData getNextDocData()
                              throws Exception

  Description copied from class: `BasicDocMaker`
  Return the data of the next document. All current implementations can create docs forever. When the input data is exhausted, input files are iterated. This re-iteration can be avoided by setting doc.maker.forever to false (default is true).

  Specified by:
    `getNextDocData` in class `BasicDocMaker`
  Returns:
    data of the next document.
  Throws:
    `NoMoreDataException` - if data is exhausted (and 'forever' set to false).
    `Exception`

### resetInputs

    public void resetInputs()

  Description copied from interface: `DocMaker`
  Reset inputs so that the test run would behave, input wise, as if it just started.

  Specified by:
    `resetInputs` in interface `DocMaker`
  Overrides:
    `resetInputs` in class `BasicDocMaker`

### numUniqueTexts

    public int numUniqueTexts()

  Description copied from interface: `DocMaker`
  Return how many real unique texts are available, 0 if not applicable.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.